Note data loss with Tomboy sync to Ubuntu One, for notes created in Gnote

Bug #666511 reported by Sandy Armstrong on 2010-10-25
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tomboy
Fix Released
Critical
tomboy (Ubuntu)
Critical
Ken VanDine
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Critical
Ken VanDine

Bug Description

Binary package hint: tomboy

All versions of Tomboy prior to 1.4.2 are susceptible to this bug:

https://bugzilla.gnome.org/show_bug.cgi?id=632535

Due to an error in a regex in Tomboy's web sync add-in, notes created in Gnote may send blank content to Ubuntu One or other web sync servers like Snowy. This could ultimately lead to data loss, if the user expects that a clean Tomboy sync'd to U1 will get all notes with their full content.

I highly recommend that Tomboy is upgraded to 1.4.2 in Maverick, and 1.2.2 in Lucid. Both of these stable bugfix releases were made to provide a fix for this bug to distros.

If you prefer to patch the fix in, the relevant commit is here:

http://git.gnome.org/browse/tomboy/commit/?h=gnome-2-32&id=c59c716ddc6b4a2be0118d88bfd0b98103e617b0

To be absolutely clear, this bug impacts Tomboy 1.0 (Karmic), 1.2 (Lucid), and 1.4 (Maverick).

If Karmic and Lucid are still being maintained, I recommend those packages get the fix as well, though I only did an official upstream tarball release for 1.2.x, 1.4.x, and 1.5.x (development series).

Changed in tomboy:
importance: Unknown → Critical
status: Unknown → Fix Released
Changed in tomboy (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Changed in tomboy (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
importance: Medium → Critical
status: Fix Committed → In Progress
status: In Progress → Confirmed

Accepted tomboy into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tomboy (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Changed in tomboy (Ubuntu Maverick):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tomboy into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Just to be clear, is Karmic not going to get an update?

If not, I'd just like to point out that we have stable upstream 1.4.2 packages for Karmic in the Tomboy PPA here:

https://launchpad.net/~tomboy-packagers/+archive/stable

Karmic ships with 1.0.x, so this is a more significant upgrade than simply applying the patch that fixes this bug.

Ken VanDine (ken-vandine) wrote :

I am going to look at karmic, just didn't have an environment handy to test it this morning.

Ken VanDine (ken-vandine) wrote :

I have uploaded the fix to karmic-proposed as well.

Thanks Ken! This is really great news.

Iain Lane (laney) wrote :

For the record, I have prepared a 1.5.2 package for Debian, and will thereafter merge it into Natty.

Iain Lane (laney) wrote :

btw, I see no test case for the SRU...

I don't know what the SRU requires, but the commit contains a unit test case that fails before the patch, and the upstream bug contains an attached note that syncs with no content.

Hi,

On Wed, Oct 27, 2010 at 02:53:07AM -0000, Sandy Armstrong wrote:
>I don't know what the SRU requires, but the commit contains a unit test
>case that fails before the patch, and the upstream bug contains an
>attached note that syncs with no content.

Yeah, I was referring purely to the SRU process here. Usually a test
case is required before an SRU is accepted, but that doesn't seem to
have happened here. At any rate, it'd be good to have one so that it
can be verified. (Not asking you to provide this, Sandy)

Cheers,
Iain

Accepted into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tomboy (Ubuntu Karmic):
status: New → Fix Committed
Ken VanDine (ken-vandine) wrote :

To test this, you need to have tomboy configured to either sync to U1 or Snowy. Here are the steps:

 * Save http://bugzilla-attachments.gnome.org/attachment.cgi?id=172702 to ~/.local/share/tomboy/
   * This note contains the extra attributes that triggered the bug
 * initiate a sync
 * Look online to verify the contents of the new note, it should be titled "braham farm" and contain a link.

To test for regressions, simply create a new note with any content and initiate a sync. Verify online that the content matches.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 1.4.2-0ubuntu1

---------------
tomboy (1.4.2-0ubuntu1) maverick-proposed; urgency=low

  * New upstream stable release
    * Fix data loss bug, triggered by syncing a note that has been editted by
      gnote (LP: #666511)
    * Fix formatting in sync-setup page and broken link in sync.page that
      links to sync-setup.page.
 -- Ken VanDine <email address hidden> Tue, 26 Oct 2010 09:52:57 -0400

Changed in tomboy (Ubuntu Maverick):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Any testers for the karmic proposed update?

Martin Pitt (pitti) wrote :

Ken, please fix this ASAP in Natty as well. Thanks!

Changed in tomboy (Ubuntu Natty):
milestone: none → natty-alpha-3
status: Confirmed → Triaged
Martin Pitt (pitti) wrote :

As there was no feedback at all for the karmic/lucid proposed packages, I removed the karmic-proposed package from the archive again.

Any testers on lucid? If not, I'll remove the lucid-proposed version as well soon, as we need to clean up -proposed for the 10.04.2 release. Thanks!

Changed in tomboy (Ubuntu Karmic):
status: Fix Committed → Won't Fix
Iain Lane (laney) wrote :

This has been fixed in N for a while, and I've just done verification for Lucid.

For future SRUs, /please/ do include a test case; this was harder to verify than it needed to be.

Changed in tomboy (Ubuntu Natty):
assignee: Ken VanDine (ken-vandine) → nobody
status: Triaged → Fix Released
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 1.2.2-0ubuntu1

---------------
tomboy (1.2.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream stable release
    * Fix data loss bug, triggered by syncing a note that has been editted by
      gnote (LP: #666511)
 -- Ken VanDine <email address hidden> Tue, 26 Oct 2010 10:46:59 -0400

Changed in tomboy (Ubuntu Lucid):
status: Fix Committed → Fix Released
Kate Stewart (kate.stewart) wrote :

Just cleaning up the bug status to reflect that Ken VanDine handled it, see launchpad janitor reference

Changed in tomboy (Ubuntu Natty):
assignee: nobody → Ken VanDine (ken-vandine)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.